maven-surefire-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dan Fabulich <...@fabulich.com>
Subject Helping to get Surefire 2.4 out the door
Date Sat, 17 Nov 2007 00:29:43 GMT

After some conversations with Brett, I'm getting started on trying to help 
us get a high quality Surefire 2.4 out the door.  I think my first goal is 
to make some more integration tests for Surefire 2.4.

One question I had as I began investigating: what versions of TestNG and 
JUnit is Surefire supposed to support?  Is Surefire supposed to be 
compatible with just any version of TestNG?  Any 5.x version?  Just the 
latest 5.7?

JUnit 4.4 has a bunch of new features, especially for test launchers 
(that's us).  Should those features get rolled into the junit4 provider? 
Into a new junit44 provider?

Right now the surefire TestNG provider depends directly on TestNG 5.5. 
Is that OK?

Are we supposed to release new providers every time JUnit/TestNG release 
new versions?

-Dan

Mime
View raw message